你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Web Apps - List Deployment Log

列出应用或部署槽的特定部署的部署日志的说明。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/deployments/{id}/log?api-version=2025-03-01

URI 参数

名称 必需 类型 说明
id
path True

string

部署 ID。

name
path True

string

应用的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

Deployment

Azure作已成功完成。

Other Status Codes

DefaultErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

定义

名称 说明
createdByType

创建资源的标识的类型。

DefaultErrorResponse

应用服务错误响应。

DefaultErrorResponseError

错误模型。

DefaultErrorResponseErrorDetailsItem

详细错误。

Deployment

用于发布活动的用户凭据。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

DefaultErrorResponse

应用服务错误响应。

名称 类型 说明
error

DefaultErrorResponseError

错误模型。

DefaultErrorResponseError

错误模型。

名称 类型 说明
code

string

标准化字符串,以编程方式识别错误。

details

DefaultErrorResponseErrorDetailsItem[]

详细错误。

innererror

string

调试错误的更多信息。

message

string

详细的错误描述和调试信息。

target

string

详细的错误描述和调试信息。

DefaultErrorResponseErrorDetailsItem

详细错误。

名称 类型 说明
code

string

标准化字符串,以编程方式识别错误。

message

string

详细的错误描述和调试信息。

target

string

详细的错误描述和调试信息。

Deployment

用于发布活动的用户凭据。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

kind

string

资源类型。

name

string

资源的名称

properties.active

boolean

如果部署当前处于活动状态,则为 true;如果已完成,则为 false;如果未启动,则为 null。

properties.author

string

谁创作了部署。

properties.author_email

string

创作电子邮件。

properties.deployer

string

执行部署的人员。

properties.details

string

有关部署的详细信息。

properties.end_time

string (date-time)

结束时间。

properties.message

string

有关部署状态的详细信息。

properties.start_time

string (date-time)

开始时间。

properties.status

integer (int32)

部署状态。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。